import sys
import urllib.parse
import zmq
con = zmq.Context()
socket = con.socket(zmq.REQ)
con = socket.connect("tcp://localhost:5555")
if sys.argv[1] == "correct":
#   msg = "','".join(["correct", "23440", "SASE1", "SPB", "201921", "2413", "4"])
    msg = "','".join(["correct", "20199", "SASE1", "FXE", "201831", "900037", "229"])
if sys.argv[1] == "dark":
   msg = "','".join(["dark", "20829", "SASE1", "SPB", "201930", "900062", "(\"run-high\", \"264\")", "(\"run-med\", \"265\")", "(\"run-low\", \"266\")"])

if sys.argv[1] == "upload-yaml":
   yaml = """
SPB:
   AGIPD:
         inset: AGIPD
         calfile: foo
         mem-cells: 176
         blc-noise: yes
         blc-noise-threshold: 100
         instance: AGIPD1M1
   JUNGFRAU:
         inset: DA02
         calfile: xxx
FXE:
   LPD:
         inset: LPD
         calfile: xxx
         non-linear-gain: yes

"""
   msg = "','".join(["upload-yaml", "SASE1", "SPB", "201831", "900039", urllib.parse.quote_plus(yaml)])
socket.send("['{}']".format(msg).encode())

